Topic: update: libvips-8.5.2

Hi Remi,

Now that php-pecl-vips is updated to 1.0.5, could you also update libvips to 8.5.2? See: https://github.com/jcupitt/libvips/releases and jcupitt.github.io/libvips/2017/03/16/What's-new-in-8.5.html

You may not have noticed, because libvips has a new website: jcupitt.github.io/libvips/ (see: github.com/jcupitt/libvips/issues/634 )

Thanks for all the great work!

Re: update: libvips-8.5.2

This package is only a backport of the fedora one.

I'm temporarily providing it, waiting for https://bugzilla.redhat.com/1189137 (to have it in EPEL)

So, reported as https://bugzilla.redhat.com/1440606

BTW, will see if I can update it in my repo.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Fixed in https://git.remirepo.net/cgit/rpms/lib/ … 1ca6aae13f

php-peck-vips rebuild: https://git.remirepo.net/cgit/rpms/php/ … 8f2507d033

BTW, the pecl extension doesn't seems to take any benefit of the new version (API unchanged)

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Thank you Remi! I now see libvips 8.5.2 in phpinfo(), which makes life (and using the new API's provided by 8.5.x) a lot easier.

Re: update: libvips-8.5.2

Hi Remi,

We found an bug in libvips 8.5.2 (which causes `out of order` errors under very heavy load), this has been fixed in libvips 8.5.3. Could you update vips to 8.5.3?

Also, the newest php-pecl-vips (1.0.6) has a new operator `vips_image_copy_memory()`, maybe you can update it too.

BTW, the pecl extension does benefit from the new libvips because you can call any operation in the vips library with `vips_call()` (the API doesn't need to be changed for this).

Thanks for all the great work!

Re: update: libvips-8.5.2

/me is back from Hollidays

vips updated to 8.5.3
https://git.remirepo.net/cgit/rpms/lib/ … 45fa17f3a1

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

php-pecl-vips updated to 1.0.6
https://git.remirepo.net/cgit/rpms/lib/ … 45fa17f3a1

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Hi Remi,

Sorry to bother you again, but the `out of order` error messages did not appear to be completely resolved (for some images).

This bug is now completely squashed in vips 8.5.4.

If you have some spare time, could you update vips to 8.5.4?

I greatly appreciate your hard work and efforts!

Re: update: libvips-8.5.2

vips updated to 8.5.4
https://git.remirepo.net/cgit/rpms/lib/ … df342fe8ef

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Hi Remi,

vips 8.6.0 is released, is there a chance that this will be updated in the repo?

As always, I greatly appreciate your hard work and efforts!

Re: update: libvips-8.5.2

It is already in the repo wink   since yesterday
https://rpms.remirepo.net/enterprise/7/ … /vips.html

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Ah I'm sorry, https://git.remirepo.net/cgit/rpms/lib/vips.git/ wasn't updated.

Re: update: libvips-8.5.2

Indeed, I forget to push my local changed.

Fixed.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

Hi Remi,

Thanks! Do you also need to rebuild php-pecl-vips? "Vips headers version" is returning an incorrect version now, see: https://t0.nl/vips-headers-version.png (https://t0.nl/phpinfo.php)

Re: update: libvips-8.5.2

What would be the benefit ?

Indeed, php-pecl-vips was built against 8.5.9 and run with 8.6.0

API is compatible, see https://rpms.remirepo.net/compat_report … nary_Added

And I don't see any conditional in the extension code about the library version.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70

Re: update: libvips-8.5.2

It looked a bit strange. For example `php-gd` always has the same headers and library version, so I thought something was wrong.

If it's compatible, then there is nothing to worry about. Thanks for your answer and keep up the great work!

Re: update: libvips-8.5.2

> It looked a bit strange. For example `php-gd` always has the same headers and library version

Not really true, as for lot of extensions which use system library, build time and runtime version may be different.
The reason why the 2 versions are displayed wink

> Thanks for your answer and keep up the great work!
smile

BTW, as everything seems clear now, closing.

Desktop: Fedora 25 x86_64 + rpmfusion + remi-test + remi-dev
Laptop:  Fedora 26 x86_64 + remi (SCL only)
Hosting Server: CentOS 6.9 x86_64 + EPEL + remi + remi-php70